跳转到主要内容
Credential

列出 Credential

分页列出密钥

GET
/api/v1/agentstudio/vaults/{vault_id}/credentials
cURL
curl --request GET \
  --url 'https://dashscope.aliyuncs.com/api/v1/agentstudio/vaults/{vault_id}/credentials' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "data": [
    {
      "id": "cred_xxx",
      "type": "credential",
      "vault_id": "vlt_xxx",
      "display_name": "第三方 API 密钥",
      "auth": {
        "type": "environment_variable",
        "secret_name": "API_KEY",
        "networking": {
          "allowed_hosts": [
            "api.example.com",
            "*.example.com"
          ]
        },
        "injection_location": {
          "header": true
        }
      },
      "metadata": {},
      "archived_at": null,
      "created_at": "2026-07-10T08:00:00Z",
      "updated_at": "2026-07-10T08:00:00Z",
      "request_id": "req_xxx"
    }
  ],
  "next_page": null
}

鉴权

string
header
必填

DashScope API Key

路径参数

string
必填

Vault ID,格式 vlt_xxx

查询参数

boolean
默认值false

是否包含已归档的 Credential,默认 false

integer
默认值20

每页返回数量,默认 20,最大 100

x <= 100
string

分页游标,从上一次响应的 next_page 获取

响应

200-application/json
object[]

Credential 对象数组

string | null

下一页游标,无更多数据时为 null